Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class StreamLoader

    java.lang.Object
      au.com.redhillconsulting.simian.StreamLoader

    public final class StreamLoader

extends java.lang.Object

Loads files into a checker. Instances can be re-used to load multiple successive files into the same checker.

Version:
  $Id: StreamLoader.java 2991 2007-06-06 00:58:48Z haruki_zaemon $
Author:
  Simon Harris

Constructor Summary
`StreamLoader(Checker checker)` Constructor.

Method Summary
`void` | `load(java.lang.String filename, java.io.InputStream stream)` Loads a specified stream.
`void` | `load(java.lang.String filename, java.io.Reader stream)` Loads a specified stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamLoader

    public StreamLoader(Checker checker)

  Constructor.

  Parameters:
    `checker` - The checker to use.

Method Detail

### load

    public void load(java.lang.String filename,
                     java.io.Reader stream)
              throws java.io.IOException

  Loads a specified stream.

  Parameters:
    `filename` - The name of the file this stream represents.
    `stream` - The stream.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

### load

    public void load(java.lang.String filename,
                     java.io.InputStream stream)
              throws java.io.IOException

  Loads a specified stream.

  Parameters:
    `filename` - The name of the file this stream represents.
    `stream` - The stream.
  Throws:
    `java.io.IOException` - if an error occurs loading the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.